import { ODataOrderBy } from "../../../../../fd-toolbox/odata/odataorderby";
import { ResourceMeta } from "../../../core/resource-meta";
import { ODataConfig } from "../../../../../fd-toolbox/odata/odataconfig";
export declare function setDefaultOrderBy(orderBys: ODataOrderBy[]): void;
export declare function getMetaOrderBys(meta: ResourceMeta): Promise<ODataOrderBy[]>;
export declare function fillOdataConfigForMany(meta: ResourceMeta, oDataConfig?: ODataConfig): Promise<ODataConfig>;
